function opt = getopt(b, whichopt, default)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

if nargin < 3, default = []; end
opt = batch(b, whichopt);
if isempty(opt), opt = default; end
if isstr(opt)
	if strcmpi(opt, 'true'), opt = 1; end
	if strcmpi(opt, 'false'), opt = 0; end
end
